import http from '@/utils/request'

// 图表钻取接口2-全景
export function drillingData2 (data) {
  return http.post('/digitizationData/data/drilling/meta/data2', data)
}

// 统一钻取字典
export function drillingDataDict (data) {
  return http.post('/digitizationData/data/drilling/meta/data/dict', data)
}

// 统一钻取字典2 通过字段名称取
export function drillingDataDict2 (data) {
  return http.post('/digitizationData/data/drilling/meta/data/dict2', data)
}

// 图表统一接口
export function coreGraph (data) {
  return http.post('/digitizationData/core/graph/data', data)
}

// 图表统一接口-历年
export function coreGraphYear (params) {
  return http.post('/digitizationData/core/graph/data/year', params)
}

// 统一导出表格
export function exportTable (params) {
  return http.download('/digitizationData/core/graph/data/download', params)
}

// 翻译
export function getTranslate (param) {
  return http.post('/system/translate', param)
}
